import unittest
from pyats.topology import loader
from genie.libs.sdk.apis.iosxe.platform.configure import configure_call_admission


class TestConfigureCallAdmission(unittest.TestCase):

    @classmethod
    def setUpClass(self):
        testbed = """
        devices:
          BB_ASR1001-X:
            connections:
              defaults:
                class: unicon.Unicon
              a:
                command: mock_device_cli --os iosxe --mock_data_dir mock_data --state connect
                protocol: unknown
            os: iosxe
            platform: iosxe
            type: iosxe
        """
        self.testbed = loader.load(testbed)
        self.device = self.testbed.devices['BB_ASR1001-X']
        self.device.connect(
            learn_hostname=True,
            init_config_commands=[],
            init_exec_commands=[]
        )

    def test_configure_call_admission(self):
        result = configure_call_admission(self.device, 600, 80, 1, 10)
        expected_output = None
        self.assertEqual(result, expected_output)
